/**
 * Returns bitcoin icon
 * @returns {JSX.Element}
 * @constructor
 */
export const BitcoinIcon = () => {
    return (
        <svg
            className="icon"
            width="24"
            height="24"
            viewBox="0 0 24 24"
            fill="none"
            xmlns="http://www.w3.org/2000/svg"
        >
            <path
                d="M12 24C18.6274 24 24 18.6274 24 12C24 5.37258 18.6274 0 12 0C5.37258 0 0 5.37258 0 12C0 18.6274 5.37258 24 12 24Z"
                fill="#F7931A"
            />
            <path
                d="M17.3919 10.515C17.6274 8.943 16.4296 8.09775 14.7931 7.53375L15.3241 5.40375L14.0281 5.08125L13.5106 7.155C13.1701 7.0695 12.8206 6.99 12.4719 6.9105L12.9931 4.82325L11.6971 4.5L11.1661 6.62925C10.8841 6.56475 10.6066 6.50175 10.3381 6.43425L10.3396 6.4275L8.55164 5.98125L8.20664 7.36575C8.20664 7.36575 9.16889 7.58625 9.14864 7.59975C9.67364 7.731 9.76814 8.07825 9.75239 8.35425L9.14789 10.7805C9.18389 10.7895 9.23039 10.803 9.28289 10.8232L9.14564 10.7895L8.29814 14.1885C8.23364 14.3475 8.07089 14.5867 7.70339 14.496C7.71689 14.5147 6.76139 14.2612 6.76139 14.2612L6.11789 15.7448L7.80539 16.1655C8.11889 16.2443 8.42639 16.3267 8.72864 16.404L8.19239 18.558L9.48764 18.8805L10.0186 16.7505C10.3726 16.8457 10.7161 16.9342 11.0521 17.0182L10.5226 19.1392L11.8186 19.4618L12.3549 17.3123C14.5659 17.7308 16.2279 17.562 16.9276 15.5625C17.4916 13.953 16.8999 13.0238 15.7366 12.4185C16.5841 12.2235 17.2216 11.6663 17.3919 10.515ZM14.4294 14.6685C14.0296 16.2788 11.3184 15.408 10.4394 15.1898L11.1519 12.336C12.0309 12.5557 14.8486 12.99 14.4294 14.6685ZM14.8306 10.4918C14.4654 11.9565 12.2094 11.2118 11.4781 11.0295L12.1231 8.442C12.8544 8.62425 15.2116 8.964 14.8306 10.4918Z"
                fill="white"
            />
        </svg>
    );
};

/**
 * Returns ethereum icon
 * @returns {JSX.Element}
 * @constructor
 */
export const EthereumIcon = () => {
    return (
        <svg
            className="icon"
            width="24"
            height="24"
            viewBox="0 0 24 24"
            fill="none"
            xmlns="http://www.w3.org/2000/svg"
        >
            <path
                d="M12 24C18.6274 24 24 18.6274 24 12C24 5.37258 18.6274 0 12 0C5.37258 0 0 5.37258 0 12C0 18.6274 5.37258 24 12 24Z"
                fill="#627EEA"
            />
            <path
                d="M12.3735 3V9.6525L17.9963 12.165L12.3735 3Z"
                fill="white"
                fillOpacity="0.602"
            />
            <path d="M12.3735 3L6.75 12.165L12.3735 9.6525V3Z" fill="white"/>
            <path
                d="M12.3735 16.476V20.9963L18 13.212L12.3735 16.476Z"
                fill="white"
                fillOpacity="0.602"
            />
            <path
                d="M12.3735 20.9963V16.4753L6.75 13.212L12.3735 20.9963Z"
                fill="white"
            />
            <path
                d="M12.3735 15.4297L17.9963 12.165L12.3735 9.65399V15.4297Z"
                fill="white"
                fillOpacity="0.2"
            />
            <path
                d="M6.75 12.165L12.3735 15.4297V9.65399L6.75 12.165Z"
                fill="white"
                fillOpacity="0.602"
            />
        </svg>
    );
};

/**
 * Returns usd icon
 * @returns {JSX.Element}
 * @constructor
 */
export const UsdIcon = () => {
    return (
        <svg
            className="icon"
            width="24"
            height="24"
            viewBox="0 0 24 24"
            fill="none"
            xmlns="http://www.w3.org/2000/svg"
        >
            <g clipPath="url(#clip0_21_2478)">
                <path
                    fillRule="evenodd"
                    clipRule="evenodd"
                    d="M0 0H45.6004V1.84617H0V0ZM0 3.69234H45.6004V5.53852H0V3.69234ZM0 7.38469H45.6004V9.23086H0V7.38469ZM0 11.077H45.6004V12.9232H0V11.077ZM0 14.7694H45.6004V16.6155H0V14.7694ZM0 18.4617H45.6004V20.3079H0V18.4617ZM0 22.1541H45.6004V24.0002H0V22.1541Z"
                    fill="#BD3D44"
                />
                <path
                    fillRule="evenodd"
                    clipRule="evenodd"
                    d="M0 1.84616H45.6004V3.69233H0V1.84616ZM0 5.5385H45.6004V7.38468H0V5.5385ZM0 9.23085H45.6004V11.077H0V9.23085ZM0 12.9232H45.6004V14.7694H0V12.9232ZM0 16.6155H45.6004V18.4617H0V16.6155ZM0 20.3079H45.6004V22.1541H0V20.3079Z"
                    fill="white"
                />
                <path
                    fillRule="evenodd"
                    clipRule="evenodd"
                    d="M0 0H18.2402V12.9232H0V0Z"
                    fill="#192F5D"
                />
                <path
                    fillRule="evenodd"
                    clipRule="evenodd"
                    d="M1.51365 0.553864L1.69827 1.07079H2.2152L1.79058 1.38464L1.95673 1.88311L1.51365 1.56926L1.10749 1.88311L1.27365 1.38464L0.830566 1.07079H1.38442L1.51365 0.553864ZM4.55983 0.553864L4.72599 1.07079H5.26138L4.8183 1.38464L5.00291 1.88311L4.55983 1.56926L4.11675 1.88311L4.30137 1.38464L3.85829 1.07079H4.39368L4.55983 0.553864ZM7.60602 0.553864L7.77217 1.07079H8.30756L7.86448 1.38464L8.0491 1.88311L7.60602 1.56926L7.16294 1.88311L7.34755 1.38464L6.90447 1.07079H7.43986L7.60602 0.553864ZM10.6337 0.553864L10.8184 1.07079H11.3353L10.9107 1.38464L11.0768 1.88311L10.6337 1.56926L10.2091 1.88311L10.3753 1.38464L9.93219 1.07079H10.486L10.6337 0.553864ZM13.6799 0.553864L13.8461 1.07079H14.3815L13.9384 1.38464L14.123 1.88311L13.6615 1.56926L13.2368 1.88311L13.403 1.38464L12.9599 1.07079H13.4953L13.6799 0.553864ZM16.7261 0.553864L16.8923 1.07079H17.4277L16.9846 1.38464L17.1692 1.88311L16.7261 1.56926L16.283 1.88311L16.4676 1.38464L16.0246 1.07079H16.56L16.7261 0.553864ZM3.04597 1.84618L3.21213 2.36311H3.74752L3.30444 2.67696L3.48905 3.17543L3.04597 2.86158L2.60289 3.17543L2.78751 2.67696L2.34443 2.36311H2.87982L3.04597 1.84618ZM6.07369 1.84618L6.25831 2.36311H6.77524L6.35062 2.67696L6.51678 3.17543L6.07369 2.86158L5.64908 3.17543L5.81523 2.67696L5.37215 2.36311H5.926L6.07369 1.84618ZM9.11988 1.84618L9.28603 2.36311H9.82142L9.37834 2.67696L9.56296 3.17543L9.11988 2.86158L8.6768 3.17543L8.86141 2.67696L8.41833 2.36311H8.95372L9.11988 1.84618ZM12.1661 1.84618L12.3322 2.36311H12.8676L12.4245 2.67696L12.6091 3.17543L12.1661 2.86158L11.723 3.17543L11.9076 2.67696L11.4645 2.36311H11.9999L12.1661 1.84618ZM15.1938 1.84618L15.3784 2.36311H15.8769L15.4522 2.67696L15.6184 3.17543L15.1753 2.86158L14.7507 3.17543L14.9169 2.67696L14.4738 2.36311H15.0276L15.1938 1.84618ZM1.53211 3.1385L1.67981 3.65543H2.23366L1.79058 3.96928L1.95673 4.46775L1.51365 4.1539L1.10749 4.46775L1.27365 3.96928L0.830566 3.65543H1.38442L1.53211 3.1385ZM4.55983 3.1385L4.72599 3.65543H5.26138L4.83676 3.96928L5.00291 4.46775L4.55983 4.1539L4.13521 4.46775L4.30137 3.96928L3.85829 3.65543H4.39368L4.55983 3.1385ZM7.60602 3.1385L7.77217 3.65543H8.30756L7.86448 3.96928L8.0491 4.46775L7.60602 4.1539L7.16294 4.46775L7.34755 3.96928L6.90447 3.65543H7.43986L7.60602 3.1385ZM10.6337 3.1385L10.8184 3.65543H11.3353L10.9107 3.96928L11.0768 4.46775L10.6337 4.1539L10.2091 4.46775L10.3753 3.96928L9.93219 3.65543H10.486L10.6337 3.1385ZM13.6799 3.1385L13.8461 3.65543H14.3815L13.9568 3.96928L14.123 4.46775L13.6799 4.1539L13.2553 4.46775L13.4215 3.96928L12.9784 3.65543H13.5138L13.6799 3.1385ZM16.7261 3.1385L16.8923 3.65543H17.4277L16.9846 3.96928L17.1692 4.46775L16.7261 4.1539L16.283 4.46775L16.4676 3.96928L16.0246 3.65543H16.56L16.7261 3.1385ZM3.04597 4.43082L3.21213 4.94775H3.74752L3.30444 5.2616L3.48905 5.76007L3.04597 5.44622L2.60289 5.76007L2.78751 5.2616L2.34443 4.94775H2.87982L3.04597 4.43082ZM6.07369 4.43082L6.25831 4.94775H6.77524L6.35062 5.2616L6.51678 5.76007L6.07369 5.44622L5.64908 5.76007L5.81523 5.2616L5.37215 4.94775H5.926L6.07369 4.43082ZM9.11988 4.43082L9.28603 4.94775H9.82142L9.3968 5.2616L9.56296 5.76007L9.11988 5.44622L8.69526 5.76007L8.86141 5.2616L8.41833 4.94775H8.95372L9.11988 4.43082ZM12.1661 4.43082L12.3322 4.94775H12.8676L12.4245 5.2616L12.6091 5.76007L12.1661 5.44622L11.723 5.76007L11.9076 5.2616L11.4645 4.94775H11.9999L12.1661 4.43082ZM15.1938 4.43082L15.3784 4.94775H15.8769L15.4522 5.2616L15.6184 5.76007L15.1753 5.44622L14.7507 5.76007L14.9169 5.2616L14.4738 4.94775H15.0276L15.1938 4.43082ZM1.53211 5.72314L1.67981 6.24007H2.23366L1.79058 6.55392L1.95673 7.05239L1.51365 6.73854L1.10749 7.05239L1.27365 6.55392L0.830566 6.24007H1.38442L1.53211 5.72314ZM4.55983 5.72314L4.72599 6.24007H5.26138L4.83676 6.55392L5.00291 7.05239L4.55983 6.73854L4.13521 7.05239L4.30137 6.55392L3.85829 6.24007H4.39368L4.55983 5.72314ZM7.60602 5.72314L7.77217 6.24007H8.30756L7.86448 6.55392L8.0491 7.05239L7.60602 6.73854L7.16294 7.05239L7.34755 6.55392L6.90447 6.24007H7.43986L7.60602 5.72314ZM10.6337 5.72314L10.8184 6.24007H11.3353L10.9107 6.55392L11.0768 7.05239L10.6337 6.73854L10.2091 7.05239L10.3753 6.55392L9.93219 6.24007H10.486L10.6337 5.72314ZM13.6799 5.72314L13.8461 6.24007H14.3815L13.9568 6.55392L14.123 7.05239L13.6799 6.73854L13.2553 7.05239L13.4215 6.55392L12.9784 6.24007H13.5138L13.6799 5.72314ZM16.7261 5.72314L16.8923 6.24007H17.4277L16.9846 6.55392L17.1692 7.05239L16.7261 6.73854L16.283 7.05239L16.4676 6.55392L16.0246 6.24007H16.56L16.7261 5.72314ZM3.04597 7.01546L3.21213 7.53239H3.74752L3.30444 7.84624L3.48905 8.34471L3.04597 8.03086L2.60289 8.34471L2.78751 7.84624L2.34443 7.53239H2.87982L3.04597 7.01546ZM6.07369 7.01546L6.25831 7.53239H6.77524L6.35062 7.84624L6.51678 8.34471L6.07369 8.03086L5.64908 8.34471L5.81523 7.84624L5.37215 7.53239H5.926L6.07369 7.01546ZM9.11988 7.01546L9.28603 7.53239H9.82142L9.3968 7.84624L9.56296 8.34471L9.11988 8.03086L8.69526 8.34471L8.86141 7.84624L8.41833 7.53239H8.95372L9.11988 7.01546ZM12.1661 7.01546L12.3322 7.53239H12.8676L12.4245 7.84624L12.6091 8.34471L12.1661 8.03086L11.723 8.34471L11.9076 7.84624L11.4645 7.53239H11.9999L12.1661 7.01546ZM15.1938 7.01546L15.3784 7.53239H15.8769L15.4522 7.84624L15.6184 8.34471L15.1753 8.03086L14.7507 8.34471L14.9169 7.84624L14.4738 7.53239H15.0276L15.1938 7.01546ZM1.53211 8.30778L1.67981 8.82471H2.23366L1.79058 9.13856L1.95673 9.63703L1.51365 9.32318L1.10749 9.63703L1.27365 9.13856L0.830566 8.82471H1.38442L1.53211 8.30778ZM4.55983 8.30778L4.72599 8.82471H5.26138L4.83676 9.13856L5.00291 9.63703L4.55983 9.32318L4.13521 9.63703L4.30137 9.13856L3.85829 8.82471H4.39368L4.55983 8.30778ZM7.60602 8.30778L7.77217 8.82471H8.30756L7.86448 9.13856L8.0491 9.63703L7.60602 9.32318L7.16294 9.63703L7.34755 9.13856L6.90447 8.82471H7.43986L7.60602 8.30778ZM10.6337 8.30778L10.8184 8.82471H11.3353L10.9107 9.13856L11.0768 9.63703L10.6337 9.32318L10.2091 9.63703L10.3753 9.13856L9.93219 8.82471H10.486L10.6337 8.30778ZM13.6799 8.30778L13.8461 8.82471H14.3815L13.9568 9.13856L14.123 9.63703L13.6799 9.32318L13.2553 9.63703L13.4215 9.13856L12.9784 8.82471H13.5138L13.6799 8.30778ZM16.7261 8.30778L16.8923 8.82471H17.4277L16.9846 9.13856L17.1692 9.63703L16.7261 9.32318L16.283 9.63703L16.4676 9.13856L16.0246 8.82471H16.56L16.7261 8.30778ZM3.04597 9.6001L3.21213 10.117H3.74752L3.30444 10.4309L3.48905 10.9293L3.04597 10.6155L2.60289 10.9293L2.78751 10.4309L2.34443 10.117H2.87982L3.04597 9.6001ZM6.07369 9.6001L6.25831 10.117H6.77524L6.35062 10.4309L6.51678 10.9293L6.07369 10.6155L5.64908 10.9293L5.81523 10.4309L5.37215 10.117H5.926L6.07369 9.6001ZM9.11988 9.6001L9.28603 10.117H9.82142L9.3968 10.4309L9.56296 10.9293L9.11988 10.6155L8.69526 10.9293L8.86141 10.4309L8.41833 10.117H8.95372L9.11988 9.6001ZM12.1661 9.6001L12.3322 10.117H12.8676L12.4245 10.4309L12.6091 10.9293L12.1661 10.6155L11.723 10.9293L11.9076 10.4309L11.4645 10.117H11.9999L12.1661 9.6001ZM15.1938 9.6001L15.3784 10.117H15.8769L15.4522 10.4309L15.6184 10.9293L15.1753 10.6155L14.7507 10.9293L14.9169 10.4309L14.4738 10.117H15.0276L15.1938 9.6001ZM1.53211 10.8924L1.67981 11.4094H2.23366L1.79058 11.7232L1.95673 12.2217L1.51365 11.9078L1.10749 12.2217L1.27365 11.7232L0.830566 11.4094H1.38442L1.53211 10.8924ZM4.55983 10.8924L4.72599 11.4094H5.26138L4.83676 11.7232L5.00291 12.2217L4.55983 11.9078L4.13521 12.2217L4.30137 11.7232L3.85829 11.4094H4.39368L4.55983 10.8924ZM7.60602 10.8924L7.77217 11.4094H8.30756L7.86448 11.7232L8.0491 12.2217L7.60602 11.9078L7.16294 12.2217L7.34755 11.7232L6.90447 11.4094H7.43986L7.60602 10.8924ZM10.6337 10.8924L10.8184 11.4094H11.3353L10.9107 11.7232L11.0768 12.2217L10.6337 11.9078L10.2091 12.2217L10.3753 11.7232L9.93219 11.4094H10.486L10.6337 10.8924ZM13.6799 10.8924L13.8461 11.4094H14.3815L13.9568 11.7232L14.123 12.2217L13.6799 11.9078L13.2553 12.2217L13.4215 11.7232L12.9784 11.4094H13.5138L13.6799 10.8924ZM16.7261 10.8924L16.8923 11.4094H17.4277L16.9846 11.7232L17.1692 12.2217L16.7261 11.9078L16.283 12.2217L16.4676 11.7232L16.0246 11.4094H16.56L16.7261 10.8924Z"
                    fill="white"
                />
            </g>
            <defs>
                <clipPath id="clip0_21_2478">
                    <path
                        d="M0 12C0 5.37258 5.37258 0 12 0C18.6274 0 24 5.37258 24 12C24 18.6274 18.6274 24 12 24C5.37258 24 0 18.6274 0 12Z"
                        fill="white"
                    />
                </clipPath>
            </defs>
        </svg>
    );
};

/**
 * Returns arrow icon
 * @returns {JSX.Element}
 * @constructor
 */
export const ArrowIcon = () => {
    return (
        <svg
            width="12"
            height="12"
            viewBox="0 0 12 12"
            fill="none"
            xmlns="http://www.w3.org/2000/svg"
        >
            <path
                d="M11.5781 5.62187L5.675 0.498437C5.62969 0.459375 5.57188 0.4375 5.51094 0.4375H4.12813C4.0125 0.4375 3.95937 0.58125 4.04688 0.65625L9.51875 5.40625H0.375C0.30625 5.40625 0.25 5.4625 0.25 5.53125V6.46875C0.25 6.5375 0.30625 6.59375 0.375 6.59375H9.51719L4.04531 11.3438C3.95781 11.4203 4.01094 11.5625 4.12656 11.5625H5.55625C5.58594 11.5625 5.61562 11.5516 5.6375 11.5312L11.5781 6.37813C11.6322 6.33109 11.6756 6.27299 11.7053 6.20776C11.735 6.14253 11.7504 6.07168 11.7504 6C11.7504 5.92832 11.735 5.85747 11.7053 5.79224C11.6756 5.72701 11.6322 5.66891 11.5781 5.62187Z"
                fill="#565D5F"
            />
        </svg>
    );
};
